package org.springblade.community.feign;

import org.springblade.community.entity.Building;
import org.springblade.community.vo.BuildingVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class BuildingClientFallback implements IBuildingClient {
            /**
         * 详情
         */
        @Override
        public BuildingVO detail(Building building) {
            return null;
        }

	@Override
	public Building getById(Long id) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<BuildingVO> list(Building building) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Building building) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Building building) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Building building) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
